LEXESIS(1)

NAME
Lexesis - A language agnostic lexical analyser generator

SYNOPSIS
Lexesis [-d outputdir] [-l language] [-n lexername] <inputfile.lxs>

DESCRIPTION
Generate a lexical analyser from a Lexesis(5) rules file

Options:

-h, --help
    show a help message and exit

--version
    show program's version number and exit

-d directory, --outputdir=directory
    Output the generated files to this directory
    [default: .]

-l language, --lang=language, --language=language
    The programming language to generate source files for
    [default: c++]

-n lexername, --name=lexername
    Use this name for the generated lexer, the default is
    based on the input file name

EXAMPLES
Lexesis -l c++ -d lexers -n MyLexer lexer.lxs

Lexesis --language c++ --outputdir lexers --name MyLexer lexer.lxs

AUTHORS

•   Thomas Avé

•   Robin Jadoul

SEE ALSO
Lexesis(5)